  /* 档案年报统计*/
  import request from '@/utils/request'

  export const getYearList = data => {
    return request({
      url: '/point-strategy/v/annualReport/queryForList',
      method: 'post',
      data
    })
  }

  export const addYear = data => {
    return request({
      url: '/point-strategy/v/annualReport/add',
      method: 'post',
      data
    })
  }

  export const editYear = data => {
    return request({
      url: '/point-strategy/v/annualReport/update',
      method: 'post',
      data
    })
  }

  export const delYear = data => {
    return request({
      url: `/point-strategy/v/annualReport/${data.id}`,
      method: 'delete',
    })
  }

  // 保存统计
  export const saveCount = data => {
    return request({
      url: '/point-strategy/v/annualReport/saveStatistics',
      method: 'post',
      data
    })
  }

  // 获取保存统计
  export const getCount = data => {
    return request({
      url: '/point-strategy/v/annualReport/getStatistics',
      method: 'post',
      data
    })
  }

  // 统计
  export const yearCount = data => {
    return request({
      url: '/point-strategy/v/annualReport/statistics',
      method: 'post',
      data
    })
  }

    // 打印
    export const getPdf = data => {
      return request({
        url: '/point-strategy/v/annualReport/report',
        method: 'post',
        data
      })
    }